export declare enum LogLevel {
    Info = "Info",
    Warn = "Warn",
    Error = "Error"
}
declare enum LogType {
    Error = "Error",
    Info = "Info",
    Warn = "Warn",
    Debug = "Debug",
    Log = "Log"
}
interface DebugJsConstructorOptions {
    appName: string;
    collectorUrl: string;
    requestInterval?: number;
    logLevel?: LogLevel;
    uid?: string;
}
export declare class DebugJs {
    appName: string;
    collectorUrl: string;
    requestInterval: number;
    logLevel: LogLevel;
    uid?: string;
    private ua;
    private lastRequestTime;
    private logsRequestTimer;
    private logsCache;
    constructor({ appName, collectorUrl, requestInterval, logLevel, uid, }: DebugJsConstructorOptions);
    private wrapConsole;
    private watchPromiseErrors;
    private watchWindowErrors;
    private watchLogs;
    private sendLogs;
    destory(): void;
    setUid(uid: string): void;
    log(type: LogType, ...args: any[]): void;
}
export default DebugJs;
//# sourceMappingURL=index.d.ts.map